%define ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%define gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%define gemname hoe
%define geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary:    	Hoe is a simple rake/rubygems helper for project Rakefiles
Name:       	rubygem-%{gemname}
Version:    	1.12.1
Release:    	1%{?dist}
Group:      	Development/Languages
License:    	MIT
URL:        	http://rubyforge.org/projects/seattlerb/
Source0:    	http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
BuildRoot:  	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   	ruby(abi) = 1.8
Requires:   	rubygems
Requires:   	rubygem(rubyforge) >= 1.0.3
Requires:   	rubygem(rake) >= 0.8.4
BuildRequires:  rubygems
BuildArch:  	noarch
Provides:   	rubygem(%{gemname}) = %{version}

%description
Hoe is a simple rake/rubygems helper for project Rakefiles. It generates all
the usual tasks for projects including rdoc generation, testing, packaging,
and deployment.  Tasks Provided:  
 * announce         - Create news email file and post to rubyforge.
 * audit            - Run ZenTest against the package.
 * check_manifest   - Verify the manifest.
 * clean            - Clean up all the extras.
 * config_hoe       - Create a fresh ~/.hoerc file.
 * debug_gem        - Show information about the gem.
 * default          - Run the default tasks.
 * deps:email       - Print a contact list for gems dependent on this gem
 * deps:fetch       - Fetch all the dependent gems of this gem into tarballs
 * deps:list        - List all the dependent gems of this gem
 * docs             - Build the docs HTML Files
 * email            - Generate email announcement file.
 * gem              - Build the gem file hoe-1.8.0.gem
 * generate_key     - Generate a key for signing your gems.
 * install_gem      - Install the package as a gem.
 * multi            - Run the test suite using multiruby.
 * package          - Build all the packages
 * post_blog        - Post announcement to blog.
 * post_news        - Post announcement to rubyforge.
 * publish_docs     - Publish RDoc to RubyForge.
 * release          - Package and upload the release to rubyforge.
 * ridocs           - Generate ri locally for testing.
 * tasks            - Generate a list of tasks for doco.
 * test             - Run the test suite.
 * test_deps        - Show which test files fail when run alone.

See class rdoc for help. Hint: ri Hoe

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}/%{gemdir}/bin
find %{buildroot}/%{geminstdir}/bin -type f | xargs chmod 0755
chmod 0755 %{buildroot}/%{geminstdir}/template/bin/file_name.erb
rm -f %{buildroot}/%{geminstdir}/template/.autotest.erb

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{_bindir}/sow
%{gemdir}/gems/%{gemname}-%{version}/
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/History.txt
%doc %{geminstdir}/Manifest.txt
%doc %{geminstdir}/README.txt
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Wed Apr  1 2009 Darryl Pierce <dpierce@redhat.com> - 1.12.1-1
- Release 1.12.1 of Hoe.

* Tue Mar 17 2009 Darryl Pierce <dpierce@redhat.com> - 1.11.0-1
- Release 1.11.0 of Hoe.

* Tue Mar 10 2009 Darryl Pierce <dpierce@redhat.com> - 1.10.0-1
- Release 1.10.0 of Hoe.

* Fri Feb 27 2009 Darryl Pierce <dpierce@redhat.com> - 1.9.0-1
- Release 1.9.0 of Hoe.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 21 2009 Darryl Pierce <dpierce@redhat.com> - 1.8.3-1
- Release 1.8.3 of Hoe.

* Mon Oct 27 2008 Darryl Pierce <dpierce@redhat.com> - 1.8.2-1
- Release 1.8.2 of Hoe.

* Thu Oct 23 2008 Darryl Pierce <dpierce@redhat.com> - 1.8.1-2
- Last build failed.

* Thu Oct 23 2008 Darryl Pierce <dpierce@redhat.com> - 1.8.1-1
- Release 1.8.1 of the gem.

* Mon Oct 13 2008 Darryl Pierce <dpierce@redhat.com> - 1.8.0-1
- Release 1.8.0 of the gem.

* Tue Jul 01 2008 Darryl Pierce <dpierce@redhat.com> - 1.7.0-1
- Release 1.7.0 of the gem.

* Wed Jun 18 2008 Darryl Pierce <dpierce@redhat.com> - 1.6.0-1
- Release 1.6.0 of the gem.

* Mon Jun 09 2008 Darryl Pierce <dpierce@redhat.com> - 1.5.3-2
- Fixed the dependency for the newer version of rubygem-rubyforge.

* Tue Jun 03 2008 Darryl Pierce <dpierce@redhat.com> - 1.5.3-1
- New release of Hoe.

* Wed May 14 2008 Darryl Pierce <dpierce@redhat.com> - 1.5.1-6
- Fixed the build, which failed only on devel.

* Wed May 14 2008 Darryl Pierce <dpierce@redhat.com> - 1.5.1-5
- First official build.

* Mon May 12 2008 Darryl Pierce <dpierce@redhat.com> - 1.5.1-4
- Update for Fedora 8 and 9.

* Tue Apr 29 2008 Darryl Pierce <dpierce@redhat.com> - 1.5.1-3
- Fixed the license to read MIT.

* Mon Apr 28 2008 Darryl Pierce <dpierce@redhat.com> - 1.5.1-2
- Updated the spec to comply with Ruby packaging guidelines.

* Fri Apr 18 2008 Darryl Pierce <dpierce@redhat.com> - 1.5.1-1
- Initial package
